[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Broken dependencies in Fedora 10 - 2008-12-10



On Tue, 9 Dec 2008 15:33:02 -0900, Jeff wrote:

> >    jspaleta AT gmail.com
> >        python-basemap
> >    python-basemap-0.99-5.fc10.i386  requires  libgeos-3.0.1.so
> 
> Hmm geos-3.0.3 went out as an update and bumped the library and it
> appears that it skipped testing and went straight to stable and was
> not marked as security. Joy!
> Let's see if I can get python-basemap rebuilt.
> 
> Now before I go ballistic over the fact that this skipped testing and
> isnt marked as security... was that just a mistake or was that
> intended?

It hopefully tells some people that often I'm equal to an early-warning
system. And if I complain that updates ought to spend some time in
updates-testing first [1], this is based on experience. More breakage in
this report, earlier reports, and private reports based on other check
scripts, was also caused by skipping updates-testing. One packager this
time did not know about releng's buildroot overrides and didn't ask
either. So, once again it is both a documentation and communication
problem.

-- 
[1] And I never suggested that it should not be possible to skip
"testing" for special updates.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]